﻿<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<body>
	<nav th:fragment="paginator">
		<ul class="pagination justify-content-center">
			<li class="page-item">
				<span th:if="${page.first}"
				class="page-link disabled text-secondary" th:text="#{text.paginator.first}">Primera</span>
				<a
				th:if="${not page.first}" class="page-link"
				th:href="@{${page.url}(page=0)}" th:text="#{text.paginator.first}"> Primera </a>
			</li>
			<li class="page-item">
				<a th:if="${page.hasPrevious}" class="page-link" th:href="@{${page.url}(page=${page.currentPage-2})}"
				aria-label="Previous"> <i class="fas fa-caret-left"></i></a>
				<span th:if="${ not page.hasPrevious }" class="page-link disabled text-secondary"> <i class="fas fa-caret-left"></i> </span>
			</li>
			<li th:each="item : ${page.paginas}" class="page-item">
				<span th:if="${item.actual}" class="page-link bg-primary text-white" th:text="${item.numero}"></span>
				<a th:if="${not item.actual}" class="page-link" th:href="@{${page.url}(page=${item.numero-1})}" th:text="${item.numero}"></a>
			</li>
			<li class="page-item">
				<a th:if="${page.hasNext}" class="page-link" th:href="@{${page.url}(page=${page.currentPage})}"
				aria-label="Next"> <i class="fas fa-caret-right"></i>
				</a>
				<span th:if="${ not page.hasNext }" class="page-link disabled text-secondary"> <i class="fas fa-caret-right"></i> </span>
			</li>
			<li class="page-item">
				<span th:if="${page.last}"
				class="page-link disabled text-secondary" th:text="#{text.paginator.last}">Última</span>
				<a
				th:if="${not page.last}" class="page-link"
				th:href="@{${page.url}(page=${page.totalPages-1})}" th:text="#{text.paginator.last}"> Última </a>
			</li>
		</ul>
	</nav>
</body>
</html>
